module UU
  module OS
    module Application

      # List of error codes used by {UU::OS::Application Application} module.
      class ErrorCodes

        # Processing of request failed due to unexpected problem
        # which was not handled by application.
        UNEXPECTED_PROBLEM = 'UU.OS.APPLICATION/E000-UNEXPECTED_PROBLEM'

        # Request is not valid (application does not now how to
        # handle this request).
        INVALID_REQUEST = 'UU.OS.APPLICATION/E001-INVALID_REQUEST'

        # Application exists on server, but does not implement
        # expected functionality.
        NOT_IMPLEMENTED = 'UU.OS.APPLICATION/E002-NOT_IMPLEMENTED'

        # Access to applicationrequires authentication which is either
        # not possible because of missing authentication data or
        # authentication data are not valid.
        NOT_AUTHENTICATED = 'UU.OS.APPLICATION/E003-NOT_AUTHENTICATED'

      end

    end
  end
end
